시장 정보 API
암스테르담증권거래소 News API
유로넥스트의 규제된 네덜란드 시장으로, AEX 지수 가족과 다국적 대기업부터 국내 중소형 기업까지의 상장회사들이 있습니다.
API 참조 버전: 1.0.0 3 엔드포인트 인증
기본 URL
https://api.pressmonitor.com/news-xams/v1 인증
모든 요청은 Bearer 토큰 인증을 사용합니다. 각 호출에 Authorization 헤더를 추가하세요.
Authorization: Bearer YOUR_TOKEN GET
/headlines 뉴스 헤드라인 가져오기
News Headlines
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| code | string | query | 예 | 엔터티 코드(예: 티커 심볼, 산업 코드) |
| lang_code | string | query | 아니요 | 언어 코드로 필터링(ISO 639-1) |
| country_code | string | query | 아니요 | 국가 코드로 필터링(ISO 3166-1 alpha-2) |
| count | integer | query | 아니요 | 결과 반환 개수 |
| cursor | string | query | 아니요 | 페이지네이션 커서 (search_after 대체)이며 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/news-xams/v1/headlines?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/news-xams/v1/headlines?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/news-xams/v1/headlines" querystring = {"code":"SOME_STRING_VALUE","lang_code":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/news-xams/v1/headlines?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/news-xams/v1/headlines?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
200 성공
GET
/briefs 뉴스 요약 가져오기
News Briefs
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| code | string | query | 예 | 엔터티 코드(예: 티커 심볼, 산업 코드) |
| lang_code | string | query | 아니요 | 언어 코드로 필터링(ISO 639-1) |
| country_code | string | query | 아니요 | 국가 코드로 필터링(ISO 3166-1 alpha-2) |
| count | integer | query | 아니요 | 결과 반환 개수 |
| cursor | string | query | 아니요 | 페이지네이션 커서 (search_after 대체)이며 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/news-xams/v1/briefs?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/news-xams/v1/briefs?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/news-xams/v1/briefs" querystring = {"code":"SOME_STRING_VALUE","lang_code":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/news-xams/v1/briefs?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/news-xams/v1/briefs?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
200 성공
GET
/fulltext 전체 뉴스 본문 가져오기
News Fulltext
매개변수
| 이름 | 유형 | 위치 | 필수 | 설명 |
|---|---|---|---|---|
| code | string | query | 예 | 엔터티 코드(예: 티커 심볼, 산업 코드) |
| lang_code | string | query | 아니요 | 언어 코드로 필터링(ISO 639-1) |
| country_code | string | query | 아니요 | 국가 코드로 필터링(ISO 3166-1 alpha-2) |
| count | integer | query | 아니요 | 결과 반환 개수 |
| cursor | string | query | 아니요 | 페이지네이션 커서 (search_after 대체)이며 |
코드 예제
curl --request GET \ --url 'https://api.pressmonitor.com/news-xams/v1/fulltext?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/news-xams/v1/fulltext?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/news-xams/v1/fulltext" querystring = {"code":"SOME_STRING_VALUE","lang_code":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/news-xams/v1/fulltext?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/news-xams/v1/fulltext?code=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 응답
200 성공